// JavaScript Document


function filesys() {

    this.name = function () { return "localStorage v1.00"; };

    this.available = function () {
        try {
            return 'localStorage' in window && window['localStorage'] !== null;
        } catch(e) {
            return false;
        }
    };

    this.dir = function() {
        var names = Array();

        if (!this.available()) return names;

        for (var i=0; i<localStorage.length; i++)
          names[i] = localStorage.key(i);
        return names;
    }

    this.load = function(fn) {
        if (!this.available()) return "";
        return localStorage.getItem(fn);
    }

    this.save = function(fn,data) {
        if (!this.available()) return;
        localStorage.setItem(fn,data);
    }

    this.del = function(fn) {
        if (!this.available()) return;
        localStorage.removeItem(fn);
    }
}


